// This is your business module, that relies on other modules

import * as _ from "./utilities.js";
import {xplusy, xmultiplyy as xtimesy, xaddy} from "./utilities.js";
import $ from "./dateutils.js";

function computing(x, y) {
	if (x <= 0 || y <= 0) {
		throw "Negative values of X or Y are rejected!";
	}
	return xaddy(x, y) + ";" + xplusy(x, y) / xtimesy(x, y) + ";" + _.xmody(x, y);
}

function showmeresult(x, y, container) {
	let p = document.createElement('p');
	let prefix = $.now() + ": computing(" + x + ", " + y + ") = ";
	try {
		let result = computing(x, y);
		 p.appendChild(document.createTextNode(prefix + result));
	} catch (ex) {
		p.appendChild(document.createTextNode(prefix + "ERROR[" + ex + "]"));
	}
	container.appendChild(p);
}

function process(c) {
	for (let i = -1; i < 4; i++) {
		for (let j = -1; j < 4; j++) {
			showmeresult(i, j, c);
		}
	}
}

process(document.querySelector('.container'));
